// SelectionEvent.java
// $Id: SelectionEvent.java,v 1.1 2000/12/13 17:02:42 bmahe Exp $
// (c) COPYRIGHT MIT, INRIA and Keio, 2000.
// Please first read the full copyright statement in file COPYRIGHT.html

package org.w3c.jwput.gui.webdav.event;

import java.util.EventObject;

import javax.swing.tree.TreePath;

/**
 * @version $Revision: 1.1 $
 * @author  Benot Mah (bmahe@w3.org)
 */
public class SelectionEvent extends EventObject {
    
    TreePath path = null;
    Object   node = null;

    public SelectionEvent(Object source, Object node, TreePath path) {
        super(source);
        this.path = path;
	this.node = node;
    }

    public SelectionEvent(Object source, TreePath path) {
        super(source);
        this.path = path;
    }

    public Object getNode() {
        return node;
    }

    public TreePath getPath() {
        return path;
    }


}
